# 脚本编写: 酷安@董小豪
# 编写: 酷安@董小豪
# 版本: v1.0
# 更新日期: 2020-02-27 13:24

# 安装时显示的模块名称
mod_name="『附带精简』"
mod_name_2="『produc分区,-精简』 "
mod_name_3="『厂家预装软件精简』"
mod_name_5="『高需求额外精简』"
# 功能来源
SOURCE="酷安@情怀懂不懂"
# 模块介绍
mod_install_desc="包含有$mod_name_2 $mod_name_3 $mod_name_5 。$SOURCE"
# 安装时显示的提示
mod_install_info="是否安装[$mod_name]"
# 按下[音量+]选择的功能提示
mod_select_yes_text="安装[$mod_name]"
# 按下[音量+]后加入module.prop的内容
mod_select_yes_desc=""
# 按下[音量-]选择的功能提示
mod_select_no_text="不安装[$mod_name]"
# 按下[音量-]后加入module.prop的内容
mod_select_no_desc=""
# 支持的设备，支持正则表达式(多的在后面加上|)
mod_require_device=".{0,}" #全部
# 支持的系统版本，持正则表达式
mod_require_version=".{0,}" #全部
# 支持的设备版本，持正则表达式
mod_require_release=".{0,}" #全部


if [ $var_ui = true ]; then
		ui_print "----------------------------"
		ui_print "    已存在类似的[$mod_name]是否继续安装？"
		ui_print "   [音量+]：继续安装[$mod_name]"
		ui_print "   [音量-]：跳过安装[$mod_name]"
	if $VOLKEY_FUNC; then
		ui_print "   继续安装[$mod_name]"
	else
		ui_print "   跳过安装[$mod_name]"
		MOD_SKIP_INSTALL=true
	fi
fi

# 按下[音量+]时执行的函数
# 如果不需要，请保留函数结构和return 0
mod_install_yes()
{
		mkdir -p $MODPATH/system
		ui_print " "
		ui_print "  $mod_name_2安装"
		ui_print "该分区只限安卓10-11.动态分区.使用.精简18个应用.已知问题外部设备"
		ui_print "   [音量+]：安装$mod_name_2"
		ui_print "   [音量-]：跳过安装$mod_name_2"
		if $VOLKEY_FUNC; then
			ui_print "   已选择安装$mod_name_2"
			powermenu=$mod_name_2
		cp -rf $MOD_FILES_DIR/* $MODPATH/system/
			INSTALLED_FUNC="$mod_name_2 $INSTALLED_FUNC"
		else
			ui_print "   跳过安装$mod_name_2"
		fi
if [ "$powermenu" != "$mod_name_3" ]; then
		ui_print " "
		ui_print "  $mod_name_3安装"
		ui_print "有需要的用户不要选择:.已经对健康.指尖.新增小米闻声.智能出行.小米云盘..进行精简.格式化后重新恢复.谨慎选择"
		ui_print "   [音量+]：安装$mod_name_3"
		ui_print "   [音量-]：跳过安装$mod_name_3"
		if $VOLKEY_FUNC; then
			ui_print "   已选择安装$mod_name_3"
		cp -rf $MOD_FILES_DIR/* $MODPATH/system/
			INSTALLED_FUNC="$mod_name_3 $INSTALLED_FUNC"
		else
			ui_print "   跳过安装$mod_name_3"
		fi
else
ui_print "   跳过安装$mod_name_3"
fi
		ui_print " "
		ui_print "  $mod_name_5安装"
		ui_print "无需求的用户可以选择.精简文件包括.备份三件套.互传三件套.小爱同学两件套.小米快应用.搜狗输入法.传送门.谷歌原生文件.有需求的用户千万不要选择!.直接跳过"
		ui_print "   [音量+]：安装$mod_name_5"
		ui_print "   [音量-]：跳过安装$mod_name_5"
		if $VOLKEY_FUNC; then
			ui_print "   已选择安装$mod_name_5"
		cp -rf $MOD_FILES_DIR/* $MODPATH/system/
			INSTALLED_FUNC="$mod_name_5 $INSTALLED_FUNC"
		else
			ui_print "   跳过安装$mod_name_5"
		fi

		# 附加值到 system.prop
#		add_sysprop ""
		# 从文件附加值到 system.prop
#		add_sysprop_file $MOD_FILES_DIR/system.prop
		# 添加service.sh
	add_service_sh $MOD_FILES_DIR/service.sh
		# 添加post-fs-data.sh
#		add_postfsdata_sh $MOD_FILES_DIR/post-fs-data.sh

		return 0
}

# 按下[音量-]时执行的函数
# 如果不需要，请保留函数结构和return 0
mod_install_no()
{
		return 0
}
